
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>大话数据结构十六：哈夫曼树(最优二叉树) / iVAN</title>

    <meta name="description" content="大话数据结构十六：哈夫曼树(最优二叉树) 1. 引子 当前素质教育的背景下,小学的学科成绩都改为了优秀.良好.及格.不及格这样的模糊词语,而不再通报具体的分数. 用代码可以表示如下: if( a &lt; 60 ) System.out.print(&quot;不及格&quot;); else if( a &lt; 70 ) System.out.print(&quot;及格&quot;); else if( a &lt; 90 ) System.out.print(&quot;良好&quot;); else System.out.pr ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">大话数据结构十六：哈夫曼树(最优二叉树)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>1. 引子</p>
<p>当前素质教育的背景下，小学的学科成绩都改为了优秀、良好、及格、不及格这样的模糊词语，而不再通报具体的分数。</p>
<p>用代码可以表示如下：</p>
<pre>
if( a &lt; 60 )
    System.out.print("不及格");
else if( a &lt; 70 )
    System.out.print("及格");
else if( a &lt; 90 )
    System.out.print("良好");
else
    System.out.print("优秀");</pre>
<p>粗略看这样做是没问题的，但是一张好的试卷大部分学生成绩集中在"良好"，而上面的程序需要判断两次才能到"良好"，输入量很大的时候，在算法效率上其实是有问题的。所以应该做如下改进（① -&gt; ②）：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMVA1NEEyUS0wLmpwZw==.jpg"></p>
<p>2. 哈夫曼树定义和原理</p>
<p>我们先把上图简化成叶子结点带权的二叉树（注：树结点间的连线相关的数叫做权，Weight）。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMVA1NDYzVTMtMS5naWY=.jpg"></p>
<p>① 结点的路径长度：从根结点到该结点的路径上的连接数。</p>
<p>② 树的路径长度：树中每个叶子结点的路径长度之和。</p>
<p>③ 结点带权路径长度：结点的路径长度与结点权值的乘积。</p>
<p>④ 树的带权路径长度：WPL(Weighted Path Length)是树中所有叶子结点的带权路径长度之和。</p>
<p><strong>※</strong>WPL的值越小，说明构造出来的二叉树性能越优，这种最优二叉树又称为哈夫曼树。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索证明 哈夫曼树<br />
                    ，                结点<br />
                    ，                路径<br />
                    ，                哈夫曼<br />
                    ，                system<br />
                    ，                长度<br />
                    ，                c++ 哈夫曼 数据结构<br />
                    ，                print<br />
                    ，                哈夫曼树算法设计<br />
                                    哈夫曼算法<br />
                                    ，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 02:39:07</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%b7%af%e5%be%84/" title="路径">路径</a>, <a href="https://www.iamivan.net/tag/print/" title="print">print</a>, <a href="https://www.iamivan.net/tag/system/" title="system">system</a>, <a href="https://www.iamivan.net/tag/%e9%95%bf%e5%ba%a6/" title="长度">长度</a>, <a href="https://www.iamivan.net/tag/%e7%bb%93%e7%82%b9/" title="结点">结点</a>, <a href="https://www.iamivan.net/tag/%e8%af%81%e6%98%8e-%e5%93%88%e5%a4%ab%e6%9b%bc%e6%a0%91/" title="证明 哈夫曼树">证明 哈夫曼树</a>, <a href="https://www.iamivan.net/tag/%e5%93%88%e5%a4%ab%e6%9b%bc%e6%a0%91%e7%ae%97%e6%b3%95%e8%ae%be%e8%ae%a1/" title="哈夫曼树算法设计">哈夫曼树算法设计</a>, <a href="https://www.iamivan.net/tag/%e5%93%88%e5%a4%ab%e6%9b%bc/" title="哈夫曼">哈夫曼</a>, <a href="https://www.iamivan.net/tag/c-%e5%93%88%e5%a4%ab%e6%9b%bc-%e6%95%b0%e6%8d%ae%e7%bb%93%e6%9e%84/" title="c&plus;&plus; 哈夫曼 数据结构">c&plus;&plus; 哈夫曼 数据结构</a>, <a href="https://www.iamivan.net/tag/%e5%93%88%e5%a4%ab%e6%9b%bc%e7%ae%97%e6%b3%95/" title="哈夫曼算法">哈夫曼算法</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>大话数据结构十六：哈夫曼树(最优二叉树)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN7KwNp.html" rel="bookmark">编码-哈夫曼树，请问大神们，下面的译码部分怎么没有输出？请大神们帮我修改下~~~&lpar;最好再加个能有个文件输出&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 哈夫曼树,请问大神们,下面的译码部分怎么没有输出?请大神们帮我修改下~~~(最好再加个能有个文件输出) #include #include #include #define maxsize 100 #define max 100 typedef struct { char data; int weight; int parent; int lchild; int rchild; }huffnode; typedef struct { char cd[max]; int start; }			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvmDJ1b.html" rel="bookmark">【算法导论】哈夫曼树及编译码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				哈夫曼树及编译码 哈夫曼树,又称二叉树,是一类带权路径长度最短的树.所谓路径长度,就是节点到树根之间的路径长度与节点权值的乘积.哈夫曼本人曾在MIT的信息论研究生班学习.Robert Fano教授让学生们自己决定是参加期未考试还是做一个大作业.而哈夫曼选择了后者,原因很简单,因为解决一大作业可能比期未考试更容易通过.Robert Fano教授也是信息论的先驱,学过信息论的都知道有Fano不等式,Shannon-Fano编码.当时这个大作业,Fano也解决不了,哈夫曼并不知道,于是自己尝试,最终产			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7ZJPKp.html" rel="bookmark">数据结构例程&mdash;&mdash;哈夫曼树</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文是数据结构基础系列(6):树和二叉树中第15课时哈夫曼树的例程. #include &lt;stdio.h&gt; #include &lt;string.h&gt; #define N 50 //叶子结点数 #define M 2*N-1 //树中结点总数 //哈夫曼树的节点结构类型 typedef struct { char data; //结点值 double weight; //权重 int parent; //双亲结点 int lchild; //左孩子结点 int rchild; //右孩			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKYP6dp.html" rel="bookmark">数据结构哈夫曼树代码怎么写</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 数据结构哈夫曼树代码怎么写 哈夫曼树:输入一串只包含abcdefg8种字符的字符串,统计每种字符出现的次数,并据此创建相应的哈夫曼树. 这怎么写 解决方案 统计字符个数这个简单,你创建一个数组,将每个字符的ascii-'a',得到下标,对应下标+1http://blog.csdn.net/yaoowei2012/article/details/18180769 解决方案二: http://www.cnblogs.com/shiyangxt/archive/2008/12/05/1348			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/gpk7e7p.html" rel="bookmark">数据结构&mdash;&mdash;赫夫曼树</a>
			</h2>
		</header>
		<article class="clearfix">
									<a href="https://www.iamivan.net/a/gpk7e7p.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTAxMjkxNDE4Mjc0OTM/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2Wm05eVpYWmxjbXhwYm1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg">
							</a>
						<div class="summary">
				1 基本概念 赫夫曼树(Huffman Tree)又称为最优树,是一类带权路径长度最短的树.本文仅讨论最优二叉树. 树的路径长度是指从树根到树中其余各个结点的路径长度之和.对具有n个结点的二叉树而言,完全二叉树具有最短的树的路径长度. 若在二叉树中,树叶结点带有权值,则有:结点的带权路径长度定义为从树根到该结点之间的路径长度与该结点上所带权值之积. 若树中有n个树叶结点,且每个树叶结点均带有权值,则有:树的带权路径长度定义为树中所有树叶结点的带权路径长度之和,可记为: 有时,也将树的路径长度称为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0RRGjz.html" rel="bookmark">c&plus;&plus; 数据结构-一个程序，哈夫曼树的构造遍历打印，编码解码，缺少遍历和打印</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 一个程序,哈夫曼树的构造遍历打印,编码解码,缺少遍历和打印 #include #include /* 数组头文件 / #include #define MAX 999 / 定义长度 / typedef struct{ / 定义哈夫曼编码的结构数组 / char data; int weight; / 定义权值 / int parent; int lchild; int rchild; }huffmannode; typedef struct{ / 定义保存哈夫曼结构体 / char b			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjwgvnM.html" rel="bookmark">数据结构-哈夫曼树运行错误 但调试却正确 一直找不成错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 哈夫曼树运行错误 但调试却正确 一直找不成错误 估计问题是出在HuffmanCoding 但怎么都找不出来 #include &quot;stdio.h&quot; #include &quot;stdlib.h&quot; #include &quot;string.h&quot; char alphabet[]={'A','B','C','D'}; typedef struct { int weight; //权值 int parent; //父节点序号 int left ; int rig			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWddxjp.html" rel="bookmark">数据结构-构造哈夫曼树的小问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 构造哈夫曼树的小问题 完整程序在这里:http://wenku.baidu.com/view/dde580a9376baf1ffc4fadbf template class HfmTree :public BinaryTree { public: operator T()const { return weight; } T getW(){ return weight; } void putW(const T&amp; x){ weight = x; } void SetNull(){ root			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEQAQLb.html" rel="bookmark">数据结构：哈夫曼树的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#include&lt;stdio.h&gt;#include&lt;stdlib.h&gt;#include&lt;string.h&gt;#include&lt;conio.h&gt;a#include&lt;graphics.h&gt;#define MAXVALUE 200           /*权值的最大值*/#define MAXBIT  30             /*最大的编码位数*/#define MAXNODE 30             /*初始的最大的结点数*/ struct			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxN0Pz.html" rel="bookmark" class="title">教你让IIS6&period;0支持ASP方法</a>
					<div>
						iis     ASP脚本在目前的网页开发方面使用的很广泛,但Windows 2003中自带的IIS 6.0默认情况下不支持ASP脚本,但可以运行aspx程序,这给运行和调试ASP代码带了不便.其实, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M09gnp.html" rel="bookmark" class="title">PS调色教程：为人物照片调出深灰艺术色调</a>
					<div>
						原图 效果 第一步:用Photoshop打开原图,复制一层(图层1),转入Portraiture滤镜进行磨皮,如果不会请翻看我之前的帖子; 第二步:可选颜色,分别对红色,黄色,青色,蓝色,洋红,中性色 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN4v7z.html" rel="bookmark" class="title">看asp源码的方法及工具20种</a>
					<div>
						众所周知windows平台漏洞百出,补丁一个接一个,但总是补也补不净.我把我所知道的20种看asp源码的方法总结了一下,并且用c#写了个应用程序来扫描这些漏洞,发现虽然大部分的方法已经不起做用,但还是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL7kYb.html" rel="bookmark" class="title">Centos 6&period;0系统keepalived&plus;Haproxy实现httpd简单负载均衡</a>
					<div>
						本文Centos6.0 HAProxy提供高可用性.负载均衡以及基于TCP和HTTP应用的代 理,支持虚拟主机,它是免费.快速并且可靠的一种解决方案.HAProxy特别适用于那些负载特大的web站点, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwn8Rz.html" rel="bookmark" class="title">SharePoint 2013如何定义自定义列表</a>
					<div>
						SharePoint列表库,是我们使用过程中最常用的库,下面,我们简单介绍下代码定义自定义列表,主要是如何使用列表模板修改自带的几个展示页面. 1.新建项目,SharePoint空项目,如下图: 2. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBNayb.html" rel="bookmark" class="title">程序界面多模式显示的实现</a>
					<div>
						如果你用过RealPlayer播放器的话,那就一定对它的多模式显示方式不会陌生吧!RealPlayer拥有正常和精简两种显示模式.我们有时也想在自己的程序界面上实现类似的功能,该怎样实现呢?下面拿我用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Pg78M.html" rel="bookmark" class="title">《Programming WPF》翻译 第8章 3&period;Storyboard</a>
					<div>
						Storyboard是动画的集合.如果你使用了标记,所有的动画必须要被定义在一个Storyboard中.(在 代码中创建隔离的动画对象,这是可能的,参见本章后面部分.)一个动画的结构通常是不同于设置了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywJg5z.html" rel="bookmark" class="title">winXP电脑中左键单击文件夹就打开文件夹了怎么办？</a>
					<div>
						  在Windows系统中,虽然系统的版本在不断的更新,不断的改变,但是一般来说,咱们Windows系统中基本的操作是没有改变的,例如咱们打开文件夹的方式,只需要在Windows电脑中选中要打开的文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYeAoM.html" rel="bookmark" class="title">WebBrowser与IE的关系，如何设置WebBrowser工作在IE9模式下？</a>
					<div>
						一.问题的提出 偶然发现,Winform里的WebBrowser和IE实际安装的版本似乎并不同步,很有趣!   下面有张图,里面一个窗口是用IE9打开某网站,另一个窗口是用Winform+WebBro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WoEDb.html" rel="bookmark" class="title">风险管理那些事：当你身边有头&OpenCurlyDoubleQuote;熊</a>
					<div>
						文章出自:听云博客        风险(Risk)在日常生活中已被人们熟知,特别是在金融相关的行业里出现的频繁非常高,比如说最常见的&quot;名言警句&quot;:股市有风险,投资需谨慎,等等.但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWxn0b.html" rel="bookmark" class="title">我的CIKM17经验：一个悲伤的故事</a>
					<div>
						当时在看了题目,并用Python把云图画出来之后,我觉得这个应该用卷积神经网络来做,可以先按照图像处理一下.可是我只有一个破笔记本,没有什么GPU,看了一下数据量感觉别说跑不了神经网络,就算是跑一般的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8Z5ab.html" rel="bookmark" class="title">数据操作-页面显示的数据的排序问题</a>
					<div>
						问题描述 页面显示的数据的排序问题 我们公司请了两家软件公司做一个企业系统,但是页面显示数据的时候发现顺序是混乱的,我们想按照某列的顺序进行排序,我想问一下:这两家一个是负责创建数据库的将数据采集存入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxKjnb.html" rel="bookmark" class="title">rsa加解密-java产生RSA公钥，C&plus;&plus;进行加密问题</a>
					<div>
						问题描述 java产生RSA公钥,C++进行加密问题 如何将java生产的RSA公钥传递给C++,C++采用的加密函数是RSA_public_encrypt.是否需要将java产生的公钥进行什么格式转 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlW7vb.html" rel="bookmark" class="title">java  URL建立连接问题</a>
					<div>
						问题描述 java URL建立连接问题 通过 URL url = new URL(&quot;Http://172.16.16.16:8080&quot;); 可正常建立连接. 通过 URL url  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZRdJb.html" rel="bookmark" class="title">网站首页被关进百度小黑屋，这是为神马呢</a>
					<div>
						摘要: 我在我们的团队中专门负责给网站做网络推广,所以SEO就成了每天必做的功课,最近一直在做贵阳论坛这个关键词,已经成功的做到各大搜索引擎的第二名,但天有不测风云,一天晚上 我在我们的团队中专门负责 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2Dyrb.html" rel="bookmark" class="title">CentOS 安装搜狗输入法以及解决中文乱码</a>
					<div>
						一.安装搜狗输入法 首先要确保系统中已经安装了中文输入法. 如果你在安装系统时选择了中文,则中文输入法默认就会安装:如果你安装时选择了英文,则必须在安装时选择安装中文输入法,否则不会安装,即使你忘了选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kdwNM.html" rel="bookmark" class="title">2015年终终结</a>
					<div>
						  这是一篇迟到的总结,在习惯性的拖延症中,直到今天才写完.2015年在不知不觉中又溜走了,这一年在平平稳稳中度过,虽然没有太多的亮点,但是每一步都脚踏实地,走得四平八稳.年终总结是为了总结过去,展望 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6LWnM.html" rel="bookmark" class="title">快速开发基于Yarn的分布式应用</a>
					<div>
						mammuthus-yarn-client使得基于Yarn开发分布式应用变得非常容易,基本蔽掉了Yarn的API.我们后面会把mammuthus-yarn-client 缩写为MYC.  基于该库,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ9nVp.html" rel="bookmark" class="title">hibernate HQL能够使用数据库表字段进行查询？</a>
					<div>
						问题描述 hibernate HQL能够使用数据库表字段进行查询? 解决方案 hibernate HQL能够使用数据库表字段进行查询?JAVA 怎样解决程序卡死, 内存爆满的问题?spring qua ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7mDRM.html" rel="bookmark" class="title">有关sql查询重复使用的问题</a>
					<div>
						问题描述 有关sql查询重复使用的问题 看一下这样的语句行不行. SELECT IF(loan.custType = 0,cu.name,ecu.name) AS 借款人, ROUND(loan.ap ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeme0b.html" rel="bookmark" class="title">PHP实现图片裁剪、添加水印效果代码&lowbar;php实例</a>
					<div>
						3.PHP对图像的裁剪 &lt;div&gt; &lt;h4&gt;裁剪之前&lt;/h4&gt; &lt;img src=&quot;1.png&quot; style=&quot;border:1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydavJb.html" rel="bookmark" class="title">service-访问Listview出现的问题</a>
					<div>
						问题描述 访问Listview出现的问题 程序中的服务器要在一个xml文件中访问一个Listview,我使用 findviewbyid,但是不能运行,因为它不是一个activity. 然后我在main ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBlQoz.html" rel="bookmark" class="title">东莞哪家公司能提供的身份证鉴别仪价格最低而且质量有保障？</a>
					<div>
						问题描述 广州市企飞科技有限公司2005年,国家全面启动公民换发第二代居民身份证(非接触式IC卡身份证)工作,预计用三年的时间,到2008年底在全国范围内为十亿左右的民众换发第二代居民身份证.随着全民 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8Rw0p.html" rel="bookmark" class="title">织田裕二《黑田康作》推第二弹与伊藤英明合作</a>
					<div>
						伊藤英明在电影&lt;安达路西亚&gt;中的剧照 新浪娱乐讯 北京时间2月28日消息,据日本媒体报道,因为今年1月男星织田裕二主演的富士台日剧&lt;外交官黑田康作&gt;获得了很高的人气,因此黑田康 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYZA9b.html" rel="bookmark" class="title">android开发教程之使用listview显示qq联系人列表&lowbar;Android</a>
					<div>
						首先还是xml布局文件,在其中添加ListView控件: 主布局layout_main.xml 复制代码 代码如下: &lt;RelativeLayout xmlns:android=&quot;ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmNONp.html" rel="bookmark" class="title">combobox框问题</a>
					<div>
						问题描述 我有一个下拉框combobox,里面的内容是1天,2天,3天,一直到365天.我想用FOR语句写,请问这个FOR语句怎么写啊,是VB.NET语言 解决方案 解决方案二:DimintIAsIn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2OwjM.html" rel="bookmark" class="title">winform 打印问题！！求高手们指教</a>
					<div>
						问题描述 工具是VS2010..在不使用第三方插件情况下该如何获取打印机状态...并且调试本地打印不弹出任何窗体..应该怎么写..求指教啊..(本人菜鸟.最好详细一点)如果用第三方插件用哪个会好使?  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLB2xkb.html" rel="bookmark" class="title">垂直搜索新问题</a>
					<div>
						当大家都在关注搜索的速度的时候,往往伴随业务的快速发展,数据服务质量成为了实时搜索或者垂直搜索中的新问题.实时搜索和垂直搜索是不一样的问题,下面的问题就是垂直场景下得实时搜索问题.也可以理解垂直搜索都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Y9DZz.html" rel="bookmark" class="title">号称最安全的苹果TEE被黑客攻破了，怎么办？</a>
					<div>
						苹果产品一直以其高安全性著称,严格的应用审查制度帮助苹果系统打造了一个所谓&quot;没有病毒的桃花源&quot;,而独立于系统之外单独运行在特制芯片上的&quot;安全区(TEE - Trust E ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YdX7p.html" rel="bookmark" class="title">javascript-这两句话怎么解释啊！</a>
					<div>
						问题描述 这两句话怎么解释啊! string js = &quot;alert('{0}');window.location.replace('{1}')&quot;; HttpContext.Cur ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
